<?php
function cutstr($str,$cutleng)
{
$str = $str;
$cutleng = $cutleng;
$strleng = strlen($str);
if($cutleng>$strleng)return $str;
$notchinanum = 0;
for($i=0;$i<$cutleng;$i++)
{
if(ord(substr($str,$i,1))<=128)
{
$notchinanum++;
}
}
if(($cutleng%2==1)&&($notchinanum%2==0))
{
$cutleng++;
}
if(($cutleng%2==0)&&($notchinanum%2==1))
{
$cutleng++;
}
return substr($str,0,$cutleng);
}
?>